<template>
  <view>

  </view>
</template>

<script>
  import {
    strToParams
  } from '@/utils/tools';
  import { wxMnpLogin } from '@/utils/login'
  export default {
    data() {
      return {
          scene:null
      };
    },
    onLoad(e) {

      const scene = strToParams(decodeURIComponent(e.scene))
      this.scene=scene
      // 优先存储 invite_code
      if (scene.invite_code) {
        uni.setStorageSync('INVITE_CODE', scene.invite_code)

      }

      // 产品详细页
      if (scene.product) {
        uni.redirectTo({
          url: '/pages/product_details/index?skuId=' + scene.product
        })
      }
      // 扫码下单
      else if (scene.order_pre) {
        // setTimeout(async () => {
        //   uni.showLoading({
        //     title: '加载中',
        //     mask: true
        //   });
        //   const obj = {
        //     id: scene.order_pre
        //   }
        //   const { order_id } = await this.$api.post(`/v1/order-pre/order`, obj)
        //   uni.hideLoading()
        //   uni.redirectTo({
        //     url: '/pages/order_details/index?id=' + order_id
        //   })
        // }, 1000)
      }
      // 默认跳转首页
      else  {
       uni.switchTab({
         url: '/pages/index/index'
       })
      }
    },
    onShow() {
      if(this.scene.order_pre){
         this.getOrder(this.scene.order_pre)
      }
    },
     methods:{
       //生成订单
      async getOrder(id){
          try{
              const obj = {
                id:id
              }
            const {order_id}=await this.$api.post(`/v1/order-pre/order`,obj,{
                 custom:{
                   silence:true
                 }
             })
            uni.redirectTo({
              url: '/pages/order_details/index?id=' + order_id
            })
          }catch(err){
             if(err.errcode==401){
               uni.navigateTo({ url: '/pages/login/index' })
             }
          }
       }
     }
  }
</script>

<style lang="scss">

</style>
